﻿Imports DevExpress.ExpressApp
Imports DevExpress.ExpressApp.Actions

Partial Public Class FilterObjectOpenController
    Inherits ViewController(Of ListView)
    Public Sub New()
        InitializeComponent()
        RegisterActions(components)
        Me.TargetObjectType = GetType(Object_A)
    End Sub
    Private Sub ShowFilterObject_Execute(sender As Object, e As SimpleActionExecuteEventArgs) Handles ShowFilterObject.Execute
        Dim objectSpace = Me.Application.CreateObjectSpace()
        Dim filterObject = objectSpace.GetObjects(Of FilterObject)()(0)
        e.ShowViewParameters.CreatedView = Me.Application.CreateDetailView(objectSpace, filterObject, True)
        e.ShowViewParameters.TargetWindow = TargetWindow.NewModalWindow
    End Sub
    Private Sub ApplyFilterObject_B_Execute(sender As Object, e As SimpleActionExecuteEventArgs) Handles ApplyFilterObject_B.Execute
        Dim filterObject = Me.ObjectSpace.GetObjects(Of FilterObject)()(0)
        If Me.View.CollectionSource.Criteria.ContainsKey("applyFilterObject_B") Then
            Me.View.CollectionSource.Criteria("applyFilterObject_B") = filterObject.FilterObject_B.GetCriteria("Object_B")
        Else
            Me.View.CollectionSource.Criteria.Add("applyFilterObject_B", filterObject.FilterObject_B.GetCriteria("Object_B"))
        End If
    End Sub
    Private Sub ApplyFilterObject_C_Execute(sender As Object, e As SimpleActionExecuteEventArgs) Handles ApplyFilterObject_C.Execute
        Dim filterObject = Me.ObjectSpace.GetObjects(Of FilterObject)()(0)
        If Me.View.CollectionSource.Criteria.ContainsKey("applyFilterObject_C") Then
            Me.View.CollectionSource.Criteria("applyFilterObject_C") = filterObject.FilterObject_C.GetCriteria("Object_C")
        Else
            Me.View.CollectionSource.Criteria.Add("applyFilterObject_C", filterObject.FilterObject_C.GetCriteria("Object_C"))
        End If
    End Sub
End Class
